Check&Place API Reference
HomeSimpra POSSimpra InventoryCheck&Place
HomeSimpra POSSimpra InventoryCheck&Place
  1. Reservation Requests
  • Introduction
  • Customers
    • create
      POST
    • index
      GET
    • update
      PATCH
  • Off Days
    • index
      GET
  • Reservation Payments
    • Activate or deactivate a payment request
      PATCH
    • Create a new payment request for a reservation
      POST
    • Update an existing payment request
      PATCH
    • Reactivate an expired or cancelled payment request
      PATCH
  • Reservation Requests
    • approve
      PATCH
    • create
      POST
    • index
      GET
    • reject
      PATCH
    • update
      PATCH
  • Reservations
    • check-in
      PATCH
    • create
      POST
    • index
      GET
    • update
      PATCH
  • Revenue Centers
    • index
      GET
  • Reviews
    • index
      GET
  • Stores
    • show
      GET
  • Tables
    • index
  • Online Reservation Requests
    • request-slot-hours
    • request-slots-availability
    • request-unavailable-dates
  • Online Reservations
    • slot-hours
    • slots-availability
    • unavailable-dates
  1. Reservation Requests

create

Production
https://api.checkandplace.com
Production
https://api.checkandplace.com
POST
/v1/reservation-requests

Request

Authorization
API Key
Add parameter in header
CheckandPlace-Access-Token
Example:
CheckandPlace-Access-Token: ********************
or
Body Params application/json

Examples

Responses

🟢200
application/json
successful
Bodyapplication/json

🟠401
🟠422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.checkandplace.com/v1/reservation-requests' \
--header 'CheckandPlace-Access-Token: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "revenue_center_id": "3b274567-7234-4972-bc6c-e8795c241942",
    "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
    "reference_id": "97c1ff22-6e4f-4821-b1d3-5236781d37b8",
    "date": "2025-05-06 21:00",
    "guest_count": 0,
    "note": "string",
    "requires_payment_request": true,
    "allergen_or_intolerance": true,
    "tag_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ]
}'
Response Response Example
200 - Response
{
    "id": "edceb77f-ea0e-408e-9d0c-40ef18642544",
    "customer_id": "861c13a2-66e0-4957-b8ad-bffc96c32246",
    "customer_name": "John Doe",
    "customer_type_name": "Normal",
    "customer_blacklist": false,
    "customer_country_code": "TR",
    "primary_phone_number": "05059502454",
    "datetime": "2025-05-06T19:00:00+03:00",
    "date": "2025-05-06",
    "time": "19:00",
    "estimated_discharged_at": null,
    "passing_time": {
        "year": 0,
        "month": 0,
        "day": 0,
        "hour": 0,
        "minute": 0
    },
    "day": "Tuesday",
    "guest_count": 2,
    "note": "Example note",
    "status": "waiting",
    "reason_name": null,
    "created_at": "2025-05-05T12:00:00+03:00",
    "created_source": "online",
    "google_booking": false,
    "allergen_or_intolerance": false,
    "requires_payment_request": false,
    "revenue_center_id": "896c3ee0-b24b-43d1-9a9f-ac5426ab6a21",
    "revenue_center_name": "Main Hall",
    "child_revenue_center_id": null,
    "child_revenue_center_name": null,
    "campaign_code": null,
    "customer": {
        "id": "81fa2639-c242-4229-a33f-c3a7f8c89e7f",
        "name": "John Doe",
        "primary_phone_number": "05059502454",
        "customer_country_code": "TR",
        "type_id": "b3ca55c3-998f-4139-a0fb-7e4d7bf89ce2",
        "type_name": "Normal",
        "is_anonym": false,
        "blacklist": false,
        "allow_sms": true,
        "allow_email": true,
        "is_default_type": true,
        "reviews_average_score": 4.5
    },
    "reference": null,
    "tags": [
        {
            "id": "2c3546a7-7295-48b5-b7ad-7c6335c9d4f4",
            "name_tr": "Vegan",
            "name_en": "Vegan",
            "type": "reservation",
            "icon_type": "generic",
            "icon": "🌿",
            "translations": [
                {
                    "name": "Vegan",
                    "locale": "en"
                },
                {
                    "name": "Vegan",
                    "locale": "tr"
                }
            ]
        }
    ]
}
Modified at 2026-05-06 13:06:45
Previous
approve
Next
index
Built with